import 'package:dabric/utils/delay.dart';
import 'package:dabric/utils/detect.dart';
import 'package:dabric/utils/stats.dart';
import 'package:objd/basic/condition.dart';
import 'package:objd/basic/entity.dart';

class Scores {
	static Condition detect(DetectType type, [Entity entity]) {
		return Detect.then(type, entity);
	}

	static Condition delayed(int ticks) {
		return Delay.then(ticks);
	}

	static Condition stat(String name, Function action, [Entity entity]) {
		return Stats.then(name, action, entity);
	}
}
